cURL
curl --request POST \
--url https://aigw.portkey.ai/v1/threads/{thread_id}/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"attachments": [
{
"file_id": "<string>",
"tools": [
{
"type": "code_interpreter"
}
]
}
],
"metadata": {}
}
'import requests
url = "https://aigw.portkey.ai/v1/threads/{thread_id}/messages"
payload = {
"content": "<string>",
"attachments": [
{
"file_id": "<string>",
"tools": [{ "type": "code_interpreter" }]
}
],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
attachments: [{file_id: '<string>', tools: [{type: 'code_interpreter'}]}],
metadata: {}
})
};
fetch('https://aigw.portkey.ai/v1/threads/{thread_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "thread.message",
"created_at": 123,
"thread_id": "<string>",
"status": "in_progress",
"incomplete_details": {
"reason": "content_filter"
},
"completed_at": 123,
"incomplete_at": 123,
"role": "user",
"content": [
{
"type": "image_file",
"image_file": {
"file_id": "<string>",
"detail": "auto"
}
}
],
"assistant_id": "<string>",
"run_id": "<string>",
"attachments": [
{
"file_id": "<string>",
"tools": [
{
"type": "code_interpreter"
}
]
}
],
"metadata": {}
}Create message
POST
/
threads
/
{thread_id}
/
messages
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - application/json
Available options:
thread.message Available options:
in_progress, incomplete, completed Show child attributes
Show child attributes
Available options:
user, assistant - Image file
- Image URL
- Text
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on September 18, 2026
Was this page helpful?

